/*
    Copyright (C) 2003 John R. McCawley III
  
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
  
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
  
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include <stdio.h>
#include <stdlib.h>
#include <wx/wx.h>
#include <wx/accel.h>

//#include "config.h"

#include "mainframe.h"
#include "skull.xpm"

#ifdef __MSWINDOWS__
	//Just in case we weren't compiled with proper fltk flags
	#ifndef WIN32
		#define WIN32
	#endif
//	#include "resource.h"
#else
//	#include "postgresql.xbm"
#endif

enum {
    ID_Quit = 1,
    ID_About = 2
}; //enum


BEGIN_EVENT_TABLE(CMainFrame, wxFrame)
	EVT_MENU(ID_Quit, CMainFrame::OnQuit)
	EVT_MENU(ID_About, CMainFrame::OnAbout)
END_EVENT_TABLE()

CMainFrame::CMainFrame(const wxString& title, const wxPoint& pos, const wxSize& size)
: wxFrame((wxFrame *)NULL, -1, title, pos, size) {

	this->SetIcons(wxIcon(skull_xpm));
	SetTitle(title);
	
	wxMenu *menuFile = new wxMenu;
	wxMenu *menuHelp = new wxMenu;
	
	menuFile->AppendSeparator();
	menuFile->Append( ID_Quit, "E&xit" );
	
	menuHelp->AppendSeparator();
	menuHelp->Append( ID_About, "A&bout" );
	
	wxMenuBar *menuBar = new wxMenuBar;
	menuBar->Append( menuFile, "&File" );
	menuBar->Append( menuHelp, "&Help" );

	this->SetMenuBar(menuBar);

} //constructor

void CMainFrame::OnQuit(wxCommandEvent& WXUNUSED(event)) {
	wxMessageDialog  obDialog(this, _T("Are you sure you want to quit?"), _T("Exit Application"), wxOK | wxCANCEL );
	int nReturn = obDialog.ShowModal();
	if( nReturn != wxID_OK ) {
		return;
	}

	Close(TRUE);
}

void CMainFrame::OnAbout(wxCommandEvent& WXUNUSED(event)) {
	wxMessageBox(wxString("wxSkel\n"), wxString("About Application"), wxOK | wxICON_INFORMATION, this);
}

